Skip to content

/fal-ai/flux-lora/inpainting

POST https://www.kkiai.com/fal-ai/flux-lora/inpainting

Official documentation: https://fal.ai/models/fal-ai/flux-lora/inpainting

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token appended after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
num_inference_stepsintegerOptional
guidance_scalenumberOptional
num_imagesintegerOptionalNumber of images, range: 1-4
enable_safety_checkerbooleanOptionalEnable safety checker, default: true
output_formatstringOptionalOutput image format, supported: jpeg, png
image_urlstringRequiredImage URL, accepted file types: jpg, jpeg, png, webp, gif, avif
strengthnumberOptionalStrength, range: 0.01-1
mask_urlstringRequiredMask URL, accepted file types: jpg, jpeg, png, webp, gif, avif

Request Example

json
{
  "prompt": "A photo of a lion sitting on a stone bench",
  "num_inference_steps": 28,
  "guidance_scale": 3.5,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "jpeg",
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/dog.png",
  "strength": 0.85,
  "mask_url": "https://storage.googleapis.com/falserverless/example_inputs/dog_mask.png"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/flux-lora/inpainting' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "A photo of a lion sitting on a stone bench",
  "num_inference_steps": 28,
  "guidance_scale": 3.5,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "jpeg",
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/dog.png",
  "strength": 0.85,
  "mask_url": "https://storage.googleapis.com/falserverless/example_inputs/dog_mask.png"
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "acf05732-7cb3-445b-9f39-fdaeccb1d730",
    "response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730",
    "status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}